import { SegmentedControl, SegmentedControlProps } from "@mantine/core";
import { FC } from "react";

export enum ShiftsTableType {
    ACTIVE,
    HISTORY,
}

type Props = Omit<SegmentedControlProps, "data">;
const data = [
    {
        label: "Активные смены",
        value: ShiftsTableType.ACTIVE.toString(),
    },
    {
        label: "Завершенные смены",
        value: ShiftsTableType.HISTORY.toString(),
    },
];

export const ShiftsTableSegmentedControl: FC<Props> = props => {
    return (
        <SegmentedControl
            data={data}
            {...props}
        />
    );
};